Summary: 	A library of functions for controlling audio CD-ROM players.
Name: 		libcdaudio
Version: 	0.99.9
Release: 	2
Copyright: 	LGPL
Group: 		Libraries
URL:            http://cdcd.undergrid.net/
Source:		%{name}-%{version}.tar.gz
Patch:		%{name}-%{version}.diff
BuildRoot: 	/var/tmp/libcdaudio-root

%description
Libcdaudio is a CD player development library which includes a basic
command set for controlling the operation of the CD-ROM drive as well
as functions for accessing the CDDB, the CD Index, and the cover art
index. The CD Database (CDDB) is currently managed by Escient, Inc.,
and libcdaudio is not licensed to use this database and most likely
never will be. If you want to specifically use CDDB data use the
FreeDB (http://www.freedb.org/), which works well with libcdaudio.
The CD Index (http://www.cdindex.org/) is a track information
management system. The Cover Art Index
(http://coverart.undergrid.net/) provides a method of locating cover
art for a particular CD based upon the disc's name or CD Index ID.

%package 	devel
Summary: 	Header files and static libraries for libcdaudio development.
Group: 		Development

%description 	devel
Libcdaudio is a CD player development library which includes a basic
command set for controlling the operation of the CD-ROM drive as well
as functions for accessing the CDDB, the CD Index, and the cover art
index. The libcdaudio-devel package provides the header files and
static libraries needed for libcdaudio development.

%prep
%setup -q
%patch

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_bindir}
%{_libdir}/*.a
%{_includedir}
%{_datadir}
